@import '~antd/es/style/themes/default.less';
@import (inline) 'google-font.css';

html,
body,
#root {
  height: 100%;
}

.colorWeak {
  filter: invert(80%);
}

.ant-layout {
  min-height: 100vh;
}

.ant-layout-header {
  background-color: #151c24;
}

.ant-pro-sider.ant-layout-sider.ant-pro-sider-fixed {
  left: unset;
}

canvas {
  display: block;
}

body {
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

ul,
ol {
  list-style: none;
}

// Compatible with IE11
@media screen and(-ms-high-contrast: active),
(-ms-high-contrast: none) {
  body .ant-design-pro>.ant-layout {
    min-height: 100vh;
  }
}

// custom styles
.ant-input:disabled {
  color: #3d3d3d !important;
}

.ant-select-disabled.ant-select-disabled.ant-select:not(.ant-select-customize-input) .ant-select-selector {
  color: #3d3d3d !important;
}